Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class Logger

Provides a very, very basic logging API.

version:
  $Id: Logger.java 8907 2007-10-30 12:28:43Z paulk $

author:
  Jason Dillon

Field Summary
`String` | `DEBUG`
`String` | `ERROR`
`String` | `WARN`
`IO` | `io`
`String` | `name`

Constructor Summary
`Logger(String name)`

Method Summary
`static Logger` | `create(Class type)`
`static Logger` | `create(Class type, String suffix)`
`void` | `debug(Object msg)`
`void` | `debug(Object msg, Throwable cause)`
`void` | `error(Object msg)`
`void` | `error(Object msg, Throwable cause)`
`boolean` | `isDebug()`
`boolean` | `isDebugEnabled()`
`void` | `log(String level, Object msg, Throwable cause)`
`void` | `warn(Object msg)`
`void` | `warn(Object msg, Throwable cause)`

Constructor Detail

### Logger

    Logger(String name)

Method Detail

### create

    public static Logger create(Class type)

### create

    public static Logger create(Class type, String suffix)

### debug

    public void debug(Object msg)

### debug

    public void debug(Object msg, Throwable cause)

### error

    public void error(Object msg)

### error

    public void error(Object msg, Throwable cause)

### isDebug

    public boolean isDebug()

### isDebugEnabled

    public boolean isDebugEnabled()

### log

    void log(String level, Object msg, Throwable cause)

### warn

    public void warn(Object msg)

### warn

    public void warn(Object msg, Throwable cause)